Fedora19 and p8

Dan Horák dan at danny.cz
Mon Nov 3 13:10:12 UTC 2014


On Tue, 28 Oct 2014 17:53:13 +0000
Alexandra Beebe <Alexandra.Beebe at sslmda.com> wrote:

> Hello,
> 
> I hope I have what is a short question and I am not bothering you too
> much.  My company recently received two (2) power8’s.  I have been
> able to install PPC64P7 Fedora 19 with no problems.  But anytime I
> try to install a ppc rpm package I get a ton of errors and multiline
> complains.  In fact I just looked at all of the packages installed on
> a system and they are all ppc64, ppc64p7, or no arch. So given this
> at this point in time I don’t know if
>         1) I am being slow, and doing something wrong?
> 
>         2) If I should turn off the multilib warning messages?
> 
>         3) If for some reason mixed ppc/ppc64 mode is no longer
> allowed on F19? a) Would it be possible to turn back on ppc/ppc64
> mixed mode?
> 
> 
> Any help would be greatly appreciated.

I think we already discussed this on IRC, so the summary is
- building ppc (32-bit) rpms was dropped during F-21 development cycle
- by default only multilibed packages (mainly libraries) are available
in both 32 and 64 bit versions in 64 bit distro
- for install 32 bit rpms from the standalone 32 bit trees requires to
have enabled for the "Fedora Everything" repo and the "updates" repo.
This way yum can get the same NVRs for 32 bit rpms being installed and
already installed 64 bit rpms.


		Dan


More information about the ppc mailing list